import { Q as QPageContainer, a as QLayout } from "./QLayout-KLXD7DUO.js";
import { _ as _export_sfc, a as defineComponent, r as resolveComponent, c as createBlock, o as openBlock, w as withCtx, b as createVNode } from "./index-BRudWVF6.js";
const _sfc_main = defineComponent({
  name: "DefaultLayout",
  // components: {
  //   AppHeader
  // },
  data() {
    return {};
  },
  methods: {}
});
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  const _component_router_view = resolveComponent("router-view");
  return openBlock(), createBlock(QLayout, null, {
    default: withCtx(() => [
      createVNode(QPageContainer, null, {
        default: withCtx(() => [
          createVNode(_component_router_view)
        ]),
        _: 1
      })
    ]),
    _: 1
  });
}
const DefaultLayout = /* @__PURE__ */ _export_sfc(_sfc_main, [["render", _sfc_render]]);
export {
  DefaultLayout as default
};
